## com.icl.saxon.style
Class StyleException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--com.icl.saxon.style.StyleException

All Implemented Interfaces:
  java.io.Serializable

public class StyleException
extends javax.xml.transform.TransformerException

StyleException is used to indicate a SAXException whose message already contains information identifying the location of the error.

See Also:
  Serialized Form

Constructor Summary
`StyleException(java.lang.Exception err, java.lang.String message)`
`StyleException(java.lang.String message)`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StyleException

    public StyleException(java.lang.String message)

### StyleException

    public StyleException(java.lang.Exception err,
                          java.lang.String message)